.header-container {
    height: var(--header-height);
    display: flex;
    justify-content: center;
    background-color: var(--header-color);
    align-items: center;
}

.header-content {
    width: 90%;
    max-width: 1400px;
    align-items: center;
    display: flex;
    justify-content: space-between;
}

.selectors {
    align-items: center;
    display: flex;
}

.primary-btn {
    border: none;
    outline: none;
    padding: 8px 10px;
    border-radius: 5px;
    background-color: var(--primary-btn-color);
    cursor: pointer;
    font-weight: 500;
    color: var(--font-color);
}

.algo-selector {
    color: white;
    display: flex;
    align-items: center;
    margin-left: 50px;
    font-weight: 500;
    cursor: pointer;
    position: relative;
}

.algo-selector-caption {
    display: flex;
    align-items: center;
}

.range-selector {
    display: flex;
    color: white;
    font-weight: 500;
    margin-left: 50px;
}

.range-selector input {
    cursor: pointer;
}

.range-selector span {
    padding-right: 10px;
}

.algo-options {
    position: absolute;
    top: 25px;
    background-color: #fcfcfc;
    color: black;
    border-radius: 5px;
    width: 120px;
    padding: 5px;
    left: -18px;
    z-index: 10;
}

.algo-option {
    padding: 10px;
    border-radius: 5px;
}

.algo-option:hover {
    background-color: #ebebeb;
}

.range-algo-container {
    display: flex;
}

.toggle-theme {
    height: 45px;
    width: 45px;
    background-color: var(--primary-background-color);
    border-radius: 10px;
    cursor: pointer;
    overflow: hidden;
    position: absolute;
    right: 50px;
}

.theme-img {
    height: 50%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.moon {
    filter: invert(85%);
}

.toggle-theme img {
    height: 60%;
}

.toggling {
    height: 200%;
    transition: 0.3s;
}

.toggle {
    transform: translateY(-50%);
}

.sort-theme-container {
    display: flex;
}



@media screen and (max-width: 1800px) {
    .toggle-theme {
        position: relative;
        right: 0;
        margin-left: 20px;
    }
}

@media screen and (max-width: 1200px) {
    .header-content {
        flex-direction: column;
        width: 98vw;
    }

    .toggle-theme {
        position: absolute;
        right: 20px;
    }
}

@media screen and (max-width: 800px) {
    .selectors {
        flex-direction: column-reverse;
    }

    .primary-btn {
        margin-top: 10px;
    }
}

@media screen and (max-width: 600px) {
    .selectors {
        flex-direction: column-reverse;
    }

    .algo-selector {
        margin-left: 0px;
    }

    .range-selector {
        margin-left: 0px;
    }

    .range-algo-container {
        margin-bottom: 10px;
        width: 90vw;
        justify-content: space-between;
    }

    .range-selector {
        align-self: flex-start;
    }
}